# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python rpm-build-python3 rpm-macros-fedora-compat
BuildRequires: unzip
# END SourceDeps(oneline)
%define oldname python-apipkg
%define fedora 19
%if 0%{?fedora} > 12
%global with_python3 1
%else
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print (get_python_lib())")}
%endif

%global srcname apipkg

Name:           python-module-apipkg
Version:        1.2
Release:        alt3_2
Summary:        Python namespace control and lazy-import mechanism

Group:          Development/Python
License:        MIT
URL:            http://pypi.python.org/pypi/apipkg
Source0:        http://pypi.python.org/packages/source/a/%{srcname}/%{srcname}-%{version}.zip
BuildArch:      noarch

BuildRequires:  python-devel
BuildRequires:  python-module-setuptools

%if 0%{?with_python3}
BuildRequires:  python3-devel
BuildRequires:  python3-module-distribute
%endif
Source44: import.info

%description
With apipkg you can control the exported namespace of a python package and
greatly reduce the number of imports for your users. It is a small python
module that works on virtually all Python versions, including CPython2.3 to
Python3.1, Jython and PyPy. It co-operates well with Python's help() system,
custom importers (PEP302) and common command line completion tools.

%if 0%{?with_python3}
%package -n python3-module-apipkg
Summary:        Python namespace control and lazy-import mechanism
Group:          Development/Python

%description -n python3-module-apipkg
With apipkg you can control the exported namespace of a python package and
greatly reduce the number of imports for your users. It is a small python
module that works on virtually all Python versions, including CPython2.3 to
Python3.1, Jython and PyPy. It co-operates well with Python's help() system,
custom importers (PEP302) and common command line completion tools.
%endif


%prep
%setup -q -n %{srcname}-%{version}
rm -rf %{srcname}.egg-info
%if 0%{?with_python3}
rm -rf %{_builddir}/python3-%{oldname}-%{version}-%{release}
cp -a . %{_builddir}/python3-%{oldname}-%{version}-%{release}
find %{_builddir}/python3-%{oldname}-%{version}-%{release} -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'
%endif

%build
%if 0%{?with_python3}
pushd %{_builddir}/python3-%{oldname}-%{version}-%{release}
%{__python3} setup.py build
popd
%endif
%{__python} setup.py build

%install
%{__python} setup.py install --skip-build --root %{buildroot}
%if 0%{?with_python3}
pushd %{_builddir}/python3-%{oldname}-%{version}-%{release}
%{__python3} setup.py install --skip-build --root %{buildroot}
popd
%endif

%files
%doc CHANGELOG README.txt
%{python_sitelibdir_noarch}/*

%if 0%{?with_python3}
%files -n python3-module-apipkg
%doc CHANGELOG README.txt
%{python3_sitelibdir_noarch}/*
%endif

%changelog
* Mon Apr 01 2013 Cronbuild Service <cronbuild@altlinux.org> 1.2-alt3_2
- rebuild to get rid of unmets

* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 1.2-alt2_2
- update to new release by fcimport

* Tue Jan 29 2013 Cronbuild Service <cronbuild@altlinux.org> 1.2-alt2_1
- rebuild to get rid of unmets

* Wed Jan 02 2013 Igor Vlasenko <viy@altlinux.ru> 1.2-alt1_1
- initial fc import

